/************************************************************************/

/*
 *  DTFMAC.H - dtF/MAC Level 1/2 Application Development
 *  (C) Copyright 1990-1993 by sLAB Banzhaf & Lang GdbR.
 *  All Rights Reserved.
 */

/************************************************************************/

#ifndef DTFMAC_H
#define DTFMAC_H

/*######################################################################*/

/* Operating System
 */

#define DTFMSDOS   0  /* MS-DOS Operating Systems 3.2, 3.3 */
#define DTFOS2     0  /* Microft OS/2 */
#define DTFWINDOWS 0  /* Microft Windows */
#define DTFLAN     0  /* LAN - NetBios Version */
#define DTFSYSV3   0  /* AT&T Unix System V Release 3 */
#define DTFMAC     1  /* Apple Macintosh */
#define DTFOTHEROS 0  /* Any other Operating System */

/************************************************************************/

/* Supported Platform
 */

#define DTFSINGLE 1  /* Set single user system only */

/************************************************************************/

/* C Compiler
 */

#if _MSC_VER
#define MSC5       1  /* Microsoft C Compiler */
#define MSC6       1  /* Microsoft C Compiler */
#else
#define MSC5       0  /* Microsoft C Compiler */
#define MSC6       0  /* Microsoft C Compiler */
#endif

#if  __TURBOC__ | __BORLANDC__
#define TURBOC     1  /* Turbo C Compiler */
#else
#define TURBOC     0  /* Turbo C Compiler */
#endif

#if __ZTC__
#define ZORTECH    1  /* Zortech C Compiler */
#else
#define ZORTECH    0  /* Zortech C Compiler */
#endif

#if MPWVersion
#define MPW        1  /* Mac-Compiler */
#else
#define MPW        0  /* Mac-Compiler */
#endif

#if THINK_C
#define THINKC     1
#else
#define THINKC     0
#endif

#ifdef __32BIT__
#if __32BIT__
#define DTF32B     1  /* 32 Bit-Compiler  */
#define DTFFAR
#define DTFCDCL
#else
#define DTF32B     0  /* 32 Bit-Compiler  */
#define DTFFAR _far
#define DTFCDCL _cdecl
#endif
#else
#define DTF32B     0  /* 32 Bit-Compiler  */
#define DTFFAR _far
#define DTFCDCL _cdecl
#endif

#define OTHERC     0  /* Any other C Compiler */

/************************************************************************/

/* Graphics Environment
 */

#define MSWINDOWS  0  /* Microsoft Windows Version 2 */
#define MSWIN3     0  /* Microsoft Windows Version 3 */
#define XWINDOWS   0  /* X Window System */
#define MACAPP     1  /* MacApp System */
#define OTHERGRAPH 0  /* Any other Graphics Environment */

/*######################################################################*/

/* Standard Header File Inclusion
 */

/*######################################################################*/

#define _far 
#define _cdecl
#define _loadds
#define DTFFAR
#define DTFCDCL

#include <Types.h>

#define Byte M_Byte
#define SignedByte M_SignedByte
#if THINKC
#define Boolean dtFboolean
#endif

#ifdef __cplusplus
extern "C" {
#endif

#include "dtflvl1.h"
#include "dtflvl2.h"


/* Low-level functions */
extern char * strlwr (char * x);
extern char* dtFgcvt( Real number1, int precision, char* numbuf);
extern char * ultoa (unsigned long x, char * buf, int basis);
extern char * itoa (long x, char * buf, int basis);
extern char * ltoa (long x, char * buf, int basis);
extern int stricmp (char * a, char * b);

extern ErrType dtFMacSetDatabasePath (short vRefNum, long dirID, MemPtr name);
extern ErrType dtFMacSetCreatorAndType (OSType Creator, OSType Type);

/************************************************************************/

/*                     --- NOT TO BE USED ---                           */

/************************************************************************/

/* Private Low Level function prototypes of the client
 */

#define dtFinit(file) SUinitDtf(file)
#define dtFendWork() SUendWorkDtf()

/************************************************************************/

/* The following definitions are not for public usage by developers.
 */

extern ErrType SUinitDtf(MemPtr);
extern ErrType SUendWorkDtf(void);
extern ErrType CLendWork(void);

/************************************************************************/
#ifdef __cplusplus
}
#endif

#endif
